Bug 223547 - Crash with autocompletion for C++ include directive
Summary: Crash with autocompletion for C++ include directive
Status: RESOLVED WORKSFORME
Alias: None
Product: kdelibs
Classification: Unclassified
Component: kdecore (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdelibs bugs
URL:
Keywords: triaged
Depends on:
Blocks:
 
Reported: 2010-01-20 10:40 UTC by Ludger Sprenker
Modified: 2018-10-27 02:47 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (26.74 KB, text/plain)
2010-02-13 09:26 UTC, Philipp Schmidt
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ludger Sprenker 2010-01-20 10:40:45 UTC
Application: kdevelop (3.9.97 (using KDevPlatform 0.9.97))
KDE Platform Version: 4.3.90 (KDE 4.3.90 (KDE 4.4 RC1))
Qt Version: 4.6.0
Operating System: Linux 2.6.31-17-generic i686
Distribution: Ubuntu 9.10

-- Information about the crash:
While typing a new include directive (#include "test...") I hit Ctrl+Space for auto completion. This made kdevelop crash.

KDevPlatform and KDevelop are svn trunk versions from today.

 -- Backtrace:
Application: KDevelop (kdevelop), signal: Segmentation fault
[Current thread is 1 (Thread 0xb770aac0 (LWP 7384))]

Thread 12 (Thread 0xb435bb70 (LWP 7389)):
#0  0x0070f422 in __kernel_vsyscall ()
#1  0x002b3142 in pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_timedwait.S:179
#2  0x0384928f in QWaitConditionPrivate::wait (this=0x94f08d4, mutex=0x94f08d8, time=200000) at thread/qwaitcondition_unix.cpp:85
#3  QWaitCondition::wait (this=0x94f08d4, mutex=0x94f08d8, time=200000) at thread/qwaitcondition_unix.cpp:159
#4  0x0835a2a5 in KDevelop::DUChainPrivate::CleanupThread::run (this=0x94f08c8) at /home/dvelop/src/kdevplatform/language/duchain/duchain.cpp:286
#5  0x038483ae in QThreadPrivate::start (arg=0x94f08c8) at thread/qthread_unix.cpp:244
#6  0x002ae80e in start_thread (arg=0xb435bb70) at pthread_create.c:300
#7  0x016308de in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 11 (Thread 0xae271b70 (LWP 7532)):
#0  0x0070f422 in __kernel_vsyscall ()
#1  0x01629a71 in select () from /lib/tls/i686/cmov/libc.so.6
#2  0x03972db3 in qt_safe_select (nfds=10, fdread=0xae26f5a8, fdwrite=0xae26f528, fdexcept=0x0, orig_timeout=0xae26f4d8) at kernel/qcore_unix.cpp:151
#3  0x039233de in select_msecs (nfds=10, fdread=0xae26f5a8, fdwrite=0xae26f528, timeout=39999980) at io/qprocess_unix.cpp:885
#4  0x03923f48 in QProcessPrivate::waitForFinished (this=0x99f0358, msecs=39999980) at io/qprocess_unix.cpp:1101
#5  0x038e197e in QProcess::waitForFinished (this=0xae26f6f0, msecs=39999980) at io/qprocess.cpp:1687
#6  0x00560241 in KProcess::execute (this=0xae26f6f0, msecs=40000000) at ../../kdecore/io/kprocess.cpp:322
#7  0x02e25bdc in CppTools::IncludePathResolver::executeCommand (this=0xae270214, command=..., workingDirectory=..., result=...) at /home/dvelop/src/kdevelop/languages/cpp/includepathresolver.cpp:427
#8  0x02e26517 in CppTools::IncludePathResolver::getFullOutput (this=0xae270214, command=..., workingDirectory=..., output=...) at /home/dvelop/src/kdevelop/languages/cpp/includepathresolver.cpp:722
#9  0x02e26fe0 in CppTools::IncludePathResolver::resolveIncludePathInternal (this=0xae270214, file=..., workingDirectory=..., makeParameters=..., source=...)
    at /home/dvelop/src/kdevelop/languages/cpp/includepathresolver.cpp:739
#10 0x02e2aaa6 in CppTools::IncludePathResolver::resolveIncludePath (this=0xae270214, file=..., _workingDirectory=..., maxStepsUp=20)
    at /home/dvelop/src/kdevelop/languages/cpp/includepathresolver.cpp:657
#11 0x02e2c0ae in CppTools::IncludePathResolver::resolveIncludePath (this=0xae270214, file=...) at /home/dvelop/src/kdevelop/languages/cpp/includepathresolver.cpp:439
#12 0x02e0c5da in IncludePathComputer::computeBackground (this=0xae2701d4) at /home/dvelop/src/kdevelop/languages/cpp/includepathcomputer.cpp:184
#13 0x02e21630 in CppUtils::findIncludePaths (source=..., problems=0x0) at /home/dvelop/src/kdevelop/languages/cpp/cpputils.cpp:285
#14 0x02e224fd in CppUtils::allFilesInIncludePath (source=..., local=true, addPath=..., addIncludePaths=..., onlyAddedIncludePaths=false, prependAddedPathToName=false, allowSourceFiles=false)
    at /home/dvelop/src/kdevelop/languages/cpp/cpputils.cpp:296
#15 0x02e3a0bf in Cpp::CodeCompletionContext::processIncludeDirective (this=0x9d32168, line=...) at /home/dvelop/src/kdevelop/languages/cpp/codecompletion/context.cpp:915
#16 0x02e4d6de in CodeCompletionContext (this=0x9d32168, context=..., text=..., followingText=..., position=..., depth=0, knownArgumentExpressions=..., line=-1)
    at /home/dvelop/src/kdevelop/languages/cpp/codecompletion/context.cpp:212
#17 0x02e378e2 in Cpp::CodeCompletionWorker::createCompletionContext (this=0x9206c88, context=..., contextText=..., followingText=..., position=...)
    at /home/dvelop/src/kdevelop/languages/cpp/codecompletion/worker.cpp:57
#18 0x08459dfe in KDevelop::CodeCompletionWorker::computeCompletions (this=0x9206c88, context=..., position=..., view=0xb9a7ab8, contextRange=..., contextText=...)
    at /home/dvelop/src/kdevplatform/language/codecompletion/codecompletionworker.cpp:147
#19 0x02e37db2 in Cpp::CodeCompletionWorker::computeCompletions (this=0x9206c88, context=) at /home/dvelop/src/kdevelop/languages/cpp/codecompletion/worker.cpp:94
#20 0x08459a05 in KDevelop::CodeCompletionWorker::computeCompletions (this=0x9206c88, context=..., position=..., view=0xb9a7ab8)
    at /home/dvelop/src/kdevplatform/language/codecompletion/codecompletionworker.cpp:119
#21 0x0845a685 in KDevelop::CodeCompletionWorker::qt_metacall (this=0x9206c88, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0x9a44fd8)
    at /home/dvelop/src/kdevplatform/build/language/codecompletionworker.moc:84
#22 0x02e37772 in Cpp::CodeCompletionWorker::qt_metacall (this=0x9206c88, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0x9a44fd8) at /home/dvelop/src/kdevelop/build/languages/cpp/worker.moc:66
#23 0x0394f11a in QMetaObject::metacall (object=0x9206c88, cl=2921788840, idx=5, argv=0x9a44fd8) at kernel/qmetaobject.cpp:237
#24 0x03959856 in QMetaCallEvent::placeMetaCall (this=0x9555728, object=0x9206c88) at kernel/qobject.cpp:574
#25 0x0395a8ae in QObject::event (this=0x9206c88, e=0x9555728) at kernel/qobject.cpp:1260
#26 0x03e0019c in QApplicationPrivate::notify_helper (this=0x91dca80, receiver=0x9206c88, e=0x9555728) at kernel/qapplication.cpp:4242
#27 0x03e06df7 in QApplication::notify (this=0xbffe5890, receiver=0x9206c88, e=0x9555728) at kernel/qapplication.cpp:3661
#28 0x0286267a in KApplication::notify (this=0xbffe5890, receiver=0x9206c88, event=0x9555728) at ../../kdeui/kernel/kapplication.cpp:302
#29 0x03949eab in QCoreApplication::notifyInternal (this=0xbffe5890, receiver=0x9206c88, event=0x9555728) at kernel/qcoreapplication.cpp:704
#30 0x0394c8e3 in QCoreApplication::sendEvent (receiver=0x0, event_type=0, data=0x959dc78) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#31 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x959dc78) at kernel/qcoreapplication.cpp:1345
#32 0x039793ba in QEventDispatcherUNIX::processEvents (this=0x974a658, flags=...) at kernel/qeventdispatcher_unix.cpp:892
#33 0x039484c9 in QEventLoop::processEvents (this=0xae2712d0, flags=) at kernel/qeventloop.cpp:149
#34 0x0394891a in QEventLoop::exec (this=0xae2712d0, flags=...) at kernel/qeventloop.cpp:201
#35 0x03845558 in QThread::exec (this=0x956bd28) at thread/qthread.cpp:487
#36 0x0845f1b0 in KDevelop::CompletionWorkerThread::run (this=0x956bd28) at /home/dvelop/src/kdevplatform/language/codecompletion/codecompletionmodel.cpp:82
#37 0x038483ae in QThreadPrivate::start (arg=0x956bd28) at thread/qthread_unix.cpp:244
#38 0x002ae80e in start_thread (arg=0xae271b70) at pthread_create.c:300
#39 0x016308de in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 10 (Thread 0xada70b70 (LWP 7533)):
#0  0x04bcee06 in *__GI_clock_gettime (clock_id=79507444, tp=0xada70078) at ../sysdeps/unix/clock_gettime.c:100
#1  0x03972d1b in qt_gettime () at kernel/qcore_unix.cpp:109
#2  0x03977de5 in QTimerInfoList::updateCurrentTime (this=0xaf6e2878) at kernel/qeventdispatcher_unix.cpp:340
#3  0x039784b5 in QEventDispatcherUNIXPrivate::doSelect (this=0xaf6e21d8, flags=..., timeout=0x0) at kernel/qeventdispatcher_unix.cpp:181
#4  0x03979425 in QEventDispatcherUNIX::processEvents (this=0x9771c28, flags=...) at kernel/qeventdispatcher_unix.cpp:920
#5  0x039484c9 in QEventLoop::processEvents (this=0xada702d0, flags=) at kernel/qeventloop.cpp:149
#6  0x0394891a in QEventLoop::exec (this=0xada702d0, flags=...) at kernel/qeventloop.cpp:201
#7  0x03845558 in QThread::exec (this=0xaf6decc8) at thread/qthread.cpp:487
#8  0x0845f1b0 in KDevelop::CompletionWorkerThread::run (this=0xaf6decc8) at /home/dvelop/src/kdevplatform/language/codecompletion/codecompletionmodel.cpp:82
#9  0x038483ae in QThreadPrivate::start (arg=0xaf6decc8) at thread/qthread_unix.cpp:244
#10 0x002ae80e in start_thread (arg=0xada70b70) at pthread_create.c:300
#11 0x016308de in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 9 (Thread 0xad26fb70 (LWP 7534)):
#0  0x0070f422 in __kernel_vsyscall ()
#1  0x002b3142 in pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_timedwait.S:179
#2  0x03847c9e in thread_sleep (ti=0x1) at thread/qthread_unix.cpp:394
#3  0x03847df3 in QThread::msleep (msecs=30) at thread/qthread_unix.cpp:420
#4  0x02e022db in UIBlockTester::UIBlockTesterThread::run (this=0x95832d0) at /home/dvelop/src/kdevelop/languages/cpp/cpplanguagesupport.cpp:672
#5  0x038483ae in QThreadPrivate::start (arg=0x95832d0) at thread/qthread_unix.cpp:244
#6  0x002ae80e in start_thread (arg=0xad26fb70) at pthread_create.c:300
#7  0x016308de in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
The current source language is "auto; currently c".

Thread 8 (Thread 0xac86eb70 (LWP 7537)):
#0  0x0070f422 in __kernel_vsyscall ()
#1  0x002b2e15 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0x08e14bb7 in WTF::TCMalloc_PageHeap::scavengerThread (this=0x8eee1a0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2304
#3  0x08e14c01 in WTF::TCMalloc_PageHeap::runScavengerThread (context=0x8eee1a0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1438
#4  0x002ae80e in start_thread (arg=0xac86eb70) at pthread_create.c:300
#5  0x016308de in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 7 (Thread 0xa7fdfb70 (LWP 7544)):
#0  0x0070f422 in __kernel_vsyscall ()
#1  0x002b2e15 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0x03849307 in QWaitConditionPrivate::wait (this=0x93b5b20, mutex=0x93b5dc0, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0x93b5b20, mutex=0x93b5dc0, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x0017b8a0 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x93b5b08, th=0xa0aef48) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#5  0x0017e41c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x93b5e80, th=0xa0aef48) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#6  0x0017a26b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0x93b5b08, th=0xa0aef48) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#7  0x0017e512 in ThreadWeaver::WorkingHardState::applyForWork (this=0x93b5e80, th=0xa0aef48) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#8  0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0x93b5b08, th=0xa0aef48, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#9  0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0x93b5e80, th=0xa0aef48) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#10 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0x93b5b08, th=0xa0aef48, previous=0xab61158) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#11 0x0017c4fe in ThreadWeaver::ThreadRunHelper::run (this=0xa7fdf304, parent=0x93b5b08, th=0xa0aef48) at ../../../threadweaver/Weaver/Thread.cpp:87
#12 0x0017cb1b in ThreadWeaver::Thread::run (this=0xa0aef48) at ../../../threadweaver/Weaver/Thread.cpp:142
#13 0x038483ae in QThreadPrivate::start (arg=0xa0aef48) at thread/qthread_unix.cpp:244
#14 0x002ae80e in start_thread (arg=0xa7fdfb70) at pthread_create.c:300
#15 0x016308de in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 6 (Thread 0xa77deb70 (LWP 7545)):
#0  0x0070f422 in __kernel_vsyscall ()
#1  0x002b3142 in pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_timedwait.S:179
#2  0x0384928f in QWaitConditionPrivate::wait (this=0xb9f4b78, mutex=0xb9f4b74, time=1000) at thread/qwaitcondition_unix.cpp:85
#3  QWaitCondition::wait (this=0xb9f4b78, mutex=0xb9f4b74, time=1000) at thread/qwaitcondition_unix.cpp:159
#4  0x02e10028 in CPPParseJob::includePaths (this=0xb9f4ae8) at /home/dvelop/src/kdevelop/languages/cpp/cppparsejob.cpp:273
#5  0x02e10265 in CPPParseJob::mergeDefines (this=0x2f, env=...) at /home/dvelop/src/kdevelop/languages/cpp/cppparsejob.cpp:236
#6  0x02e20282 in PreprocessJob::run (this=0xc249e50) at /home/dvelop/src/kdevelop/languages/cpp/preprocessjob.cpp:157
#7  0x0017d52d in ThreadWeaver::JobRunHelper::runTheJob (this=0xa77de1fc, th=0xa197750, job=0xc249e50) at ../../../threadweaver/Weaver/Job.cpp:106
#8  0x0017d891 in ThreadWeaver::Job::execute (this=0xc249e50, th=0xa197750) at ../../../threadweaver/Weaver/Job.cpp:135
#9  0x0017f273 in ThreadWeaver::JobCollectionJobRunner::execute (this=0xc522540, t=0xa197750) at ../../../threadweaver/Weaver/JobCollection.cpp:82
#10 0x0017fbe8 in ThreadWeaver::JobCollection::execute (this=0xb9f4ae8, t=0xa197750) at ../../../threadweaver/Weaver/JobCollection.cpp:228
#11 0x0017c4ca in ThreadWeaver::ThreadRunHelper::run (this=0xa77de304, parent=0x93b5b08, th=0xa197750) at ../../../threadweaver/Weaver/Thread.cpp:95
#12 0x0017cb1b in ThreadWeaver::Thread::run (this=0xa197750) at ../../../threadweaver/Weaver/Thread.cpp:142
#13 0x038483ae in QThreadPrivate::start (arg=0xa197750) at thread/qthread_unix.cpp:244
#14 0x002ae80e in start_thread (arg=0xa77deb70) at pthread_create.c:300
#15 0x016308de in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 5 (Thread 0xb3b5ab70 (LWP 8715)):
#0  0x0070f422 in __kernel_vsyscall ()
#1  0x002b2e15 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0x03849307 in QWaitConditionPrivate::wait (this=0xb61d6f8, mutex=0xb442160, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0xb61d6f8, mutex=0xb442160, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x0017b8a0 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xb61d6e0, th=0xb440e58) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#5  0x0017e41c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xb3718b8, th=0xb440e58) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#6  0x0017a26b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xb61d6e0, th=0xb440e58) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#7  0x0017e512 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xb440e58) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#8  0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xb440e58, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#9  0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xb440e58) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#10 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xb440e58, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#11 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xb440e58) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#12 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xb440e58, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#13 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xb440e58) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#14 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xb440e58, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#15 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xb440e58) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#16 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xb440e58, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#17 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xb440e58) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#18 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xb440e58, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#19 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xb440e58) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#20 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xb440e58, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#21 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xb440e58) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#22 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xb440e58, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#23 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xb440e58) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#24 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xb440e58, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#25 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xb440e58) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#26 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xb440e58, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#27 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xb440e58) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#28 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xb440e58, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#29 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xb440e58) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#30 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xb440e58, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#31 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xb440e58) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#32 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xb440e58, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#33 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xb440e58) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#34 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xb440e58, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#35 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xb440e58) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#36 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xb440e58, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#37 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xb440e58) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#38 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xb440e58, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#39 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xb440e58) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#40 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xb440e58, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#41 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xb440e58) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#42 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xb440e58, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#43 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xb440e58) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#44 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xb440e58, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#45 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xb440e58) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#46 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xb440e58, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#47 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xb440e58) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#48 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xb440e58, previous=0xad0b5a0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#49 0x0017c4fe in ThreadWeaver::ThreadRunHelper::run (this=0xb3b5a304, parent=0xb61d6e0, th=0xb440e58) at ../../../threadweaver/Weaver/Thread.cpp:87
#50 0x0017cb1b in ThreadWeaver::Thread::run (this=0xb440e58) at ../../../threadweaver/Weaver/Thread.cpp:142
#51 0x038483ae in QThreadPrivate::start (arg=0xb440e58) at thread/qthread_unix.cpp:244
#52 0x002ae80e in start_thread (arg=0xb3b5ab70) at pthread_create.c:300
#53 0x016308de in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 4 (Thread 0xa56ffb70 (LWP 8716)):
#0  0x0070f422 in __kernel_vsyscall ()
#1  0x002b2e15 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0x03849307 in QWaitConditionPrivate::wait (this=0xb61d6f8, mutex=0xb442160, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0xb61d6f8, mutex=0xb442160, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x0017b8a0 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xb61d6e0, th=0xb651d28) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#5  0x0017e41c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xb3718b8, th=0xb651d28) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#6  0x0017a26b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xb61d6e0, th=0xb651d28) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#7  0x0017e512 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xb651d28) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#8  0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xb651d28, previous=0xc338858) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#9  0x0017c4fe in ThreadWeaver::ThreadRunHelper::run (this=0xa56ff304, parent=0xb61d6e0, th=0xb651d28) at ../../../threadweaver/Weaver/Thread.cpp:87
#10 0x0017cb1b in ThreadWeaver::Thread::run (this=0xb651d28) at ../../../threadweaver/Weaver/Thread.cpp:142
#11 0x038483ae in QThreadPrivate::start (arg=0xb651d28) at thread/qthread_unix.cpp:244
#12 0x002ae80e in start_thread (arg=0xa56ffb70) at pthread_create.c:300
#13 0x016308de in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 3 (Thread 0xa3afeb70 (LWP 8757)):
#0  0x0070f422 in __kernel_vsyscall ()
#1  0x002b2e15 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0x03849307 in QWaitConditionPrivate::wait (this=0xb61d6f8, mutex=0xb442160, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0xb61d6f8, mutex=0xb442160, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x0017b8a0 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xb61d6e0, th=0xa194c78) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#5  0x0017e41c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xb3718b8, th=0xa194c78) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#6  0x0017a26b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xb61d6e0, th=0xa194c78) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#7  0x0017e512 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xa194c78) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#8  0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xa194c78, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#9  0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xa194c78) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#10 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xa194c78, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#11 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xa194c78) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#12 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xa194c78, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#13 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xa194c78) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#14 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xa194c78, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#15 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xa194c78) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#16 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xa194c78, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#17 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xa194c78) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#18 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xa194c78, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#19 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xa194c78) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#20 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xa194c78, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#21 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xa194c78) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#22 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xa194c78, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#23 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xa194c78) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#24 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xa194c78, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#25 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xa194c78) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#26 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xa194c78, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#27 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xa194c78) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#28 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xa194c78, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#29 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xa194c78) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#30 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xa194c78, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#31 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xa194c78) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#32 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xa194c78, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#33 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xa194c78) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#34 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xa194c78, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#35 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xa194c78) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#36 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xa194c78, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#37 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xa194c78) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#38 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xa194c78, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#39 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xa194c78) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#40 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xa194c78, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#41 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xa194c78) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#42 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xa194c78, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#43 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xa194c78) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#44 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xa194c78, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#45 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xa194c78) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#46 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xa194c78, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#47 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0xa194c78) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#48 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0xa194c78, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#49 0x0017c4fe in ThreadWeaver::ThreadRunHelper::run (this=0xa3afe304, parent=0xb61d6e0, th=0xa194c78) at ../../../threadweaver/Weaver/Thread.cpp:87
#50 0x0017cb1b in ThreadWeaver::Thread::run (this=0xa194c78) at ../../../threadweaver/Weaver/Thread.cpp:142
#51 0x038483ae in QThreadPrivate::start (arg=0xa194c78) at thread/qthread_unix.cpp:244
#52 0x002ae80e in start_thread (arg=0xa3afeb70) at pthread_create.c:300
#53 0x016308de in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 2 (Thread 0xa42ffb70 (LWP 8758)):
#0  0x0070f422 in __kernel_vsyscall ()
#1  0x002b2e15 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0x03849307 in QWaitConditionPrivate::wait (this=0xb61d6f8, mutex=0xb442160, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0xb61d6f8, mutex=0xb442160, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x0017b8a0 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xb61d6e0, th=0x9a68c28) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#5  0x0017e41c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xb3718b8, th=0x9a68c28) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#6  0x0017a26b in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xb61d6e0, th=0x9a68c28) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#7  0x0017e512 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0x9a68c28) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#8  0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0x9a68c28, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#9  0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0x9a68c28) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#10 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0x9a68c28, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#11 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0x9a68c28) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#12 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0x9a68c28, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#13 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0x9a68c28) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#14 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0x9a68c28, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#15 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0x9a68c28) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#16 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0x9a68c28, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#17 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0x9a68c28) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#18 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0x9a68c28, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#19 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0x9a68c28) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#20 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0x9a68c28, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#21 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0x9a68c28) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#22 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0x9a68c28, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#23 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0x9a68c28) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#24 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0x9a68c28, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#25 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0x9a68c28) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#26 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0x9a68c28, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#27 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0x9a68c28) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#28 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0x9a68c28, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#29 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0x9a68c28) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#30 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0x9a68c28, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#31 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0x9a68c28) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#32 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0x9a68c28, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#33 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0x9a68c28) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#34 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0x9a68c28, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#35 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0x9a68c28) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#36 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0x9a68c28, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#37 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0x9a68c28) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#38 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0x9a68c28, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#39 0x0017e531 in ThreadWeaver::WorkingHardState::applyForWork (this=0xb3718b8, th=0x9a68c28) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#40 0x0017bb23 in ThreadWeaver::WeaverImpl::applyForWork (this=0xb61d6e0, th=0x9a68c28, previous=0xb1af538) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#41 0x0017c4fe in ThreadWeaver::ThreadRunHelper::run (this=0xa42ff304, parent=0xb61d6e0, th=0x9a68c28) at ../../../threadweaver/Weaver/Thread.cpp:87
#42 0x0017cb1b in ThreadWeaver::Thread::run (this=0x9a68c28) at ../../../threadweaver/Weaver/Thread.cpp:142
#43 0x038483ae in QThreadPrivate::start (arg=0x9a68c28) at thread/qthread_unix.cpp:244
#44 0x002ae80e in start_thread (arg=0xa42ffb70) at pthread_create.c:300
#45 0x016308de in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 1 (Thread 0xb770aac0 (LWP 7384)):
[KCrash Handler]
#6  0x00503a95 in QMap<KEntryKey, KEntry>::mutableFindNode(QMapData::Node**, KEntryKey const&) const () from /usr/lib/libkdecore.so.5
#7  0x00503c4e in QMap<KEntryKey, KEntry>::insert(KEntryKey const&, KEntry const&) () from /usr/lib/libkdecore.so.5
#8  0x00504b98 in KEntryMap::setEntry(QByteArray const&, QByteArray const&, QByteArray const&, QFlags<KEntryMap::EntryOption>) () from /usr/lib/libkdecore.so.5
#9  0x00514501 in KConfigIniBackend::parseConfig (this=0xa6632898, currentLocale=..., entryMap=..., options=..., merging=false) at ../../kdecore/config/kconfigini.cpp:261
#10 0x005159e6 in KConfigIniBackend::parseConfig (this=0xa6632898, currentLocale=..., entryMap=..., options=...) at ../../kdecore/config/kconfigini.cpp:66
#11 0x004fd2cc in KConfigPrivate::parseGlobalFiles (this=0xa06e410) at ../../kdecore/config/kconfig.cpp:484
#12 0x004fe484 in KConfig::reparseConfiguration (this=0x9985150) at ../../kdecore/config/kconfig.cpp:451
#13 0x00b63f6e in KDevelop::Project::projectConfiguration (this=0x9205af8) at /home/dvelop/src/kdevplatform/shell/project.cpp:480
#14 0x02f2aa96 in CMake::currentInstallDir (project=0x9205af8) at /home/dvelop/src/kdevelop/projectmanagers/cmake/cmakeutils.cpp:139
#15 0x04b7f2bf in fetchInstallDir (project=0x9205af8, dirs=...) at /home/dvelop/src/kdevelop/projectmanagers/cmake/cmakemanager.cpp:107
#16 resolveSystemDirs (project=0x9205af8, dirs=...) at /home/dvelop/src/kdevelop/projectmanagers/cmake/cmakemanager.cpp:123
#17 0x04b7f852 in CMakeManager::includeDirectories (this=0x9553770, item=0xbaf09b0) at /home/dvelop/src/kdevelop/projectmanagers/cmake/cmakemanager.cpp:671
#18 0x02e0adc7 in IncludePathComputer::computeForeground (this=0xb4e8848) at /home/dvelop/src/kdevelop/languages/cpp/includepathcomputer.cpp:91
#19 0x02e02cef in CppLanguageSupport::findIncludePathsForJob (this=0x9587f80, job=0xb9f4ae8) at /home/dvelop/src/kdevelop/languages/cpp/cpplanguagesupport.cpp:393
#20 0x02e07b19 in CppLanguageSupport::qt_metacall (this=0x9587f80, _c=QMetaObject::InvokeMetaMethod, _id=13, _a=0xa6275f90) at /home/dvelop/src/kdevelop/build/languages/cpp/cpplanguagesupport.moc:142
#21 0x0394f11a in QMetaObject::metacall (object=0x9587f80, cl=QMetaObject::WriteProperty, idx=13, argv=0xa6275f90) at kernel/qmetaobject.cpp:237
#22 0x03959856 in QMetaCallEvent::placeMetaCall (this=0xa6274d88, object=0x9587f80) at kernel/qobject.cpp:574
#23 0x0395a8ae in QObject::event (this=0x9587f80, e=0xa6274d88) at kernel/qobject.cpp:1260
#24 0x03e0019c in QApplicationPrivate::notify_helper (this=0x91dca80, receiver=0x9587f80, e=0xa6274d88) at kernel/qapplication.cpp:4242
#25 0x03e06df7 in QApplication::notify (this=0xbffe5890, receiver=0x9587f80, e=0xa6274d88) at kernel/qapplication.cpp:3661
#26 0x0286267a in KApplication::notify (this=0xbffe5890, receiver=0x9587f80, event=0xa6274d88) at ../../kdeui/kernel/kapplication.cpp:302
#27 0x03949eab in QCoreApplication::notifyInternal (this=0xbffe5890, receiver=0x9587f80, event=0xa6274d88) at kernel/qcoreapplication.cpp:704
#28 0x0394c8e3 in QCoreApplication::sendEvent (receiver=0x0, event_type=0, data=0x91b46e0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#29 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x91b46e0) at kernel/qcoreapplication.cpp:1345
#30 0x0394ca4d in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1238
#31 0x03ebe94f in QCoreApplication::sendPostedEvents (this=0x91dca40, flags=...) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#32 QEventDispatcherX11::processEvents (this=0x91dca40, flags=...) at kernel/qeventdispatcher_x11.cpp:75
#33 0x039484c9 in QEventLoop::processEvents (this=0xbffe57b4, flags=) at kernel/qeventloop.cpp:149
#34 0x0394891a in QEventLoop::exec (this=0xbffe57b4, flags=...) at kernel/qeventloop.cpp:201
#35 0x0394cb0f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981
#36 0x03e00237 in QApplication::exec () at kernel/qapplication.cpp:3570
#37 0x0804dd13 in main (argc=1, argv=0xbffe5de4) at /home/dvelop/src/kdevelop/app/main.cpp:209

Reported using DrKonqi
Comment 1 Ludger Sprenker 2010-01-20 11:00:24 UTC
I've just noticed, that the previous include directive was not closed correctly (missing "-character). Maybe this can help to find the bug. While the crash occurred, the code looked as follows ('X' is the cursor position): 

#ifndef _ASDF_HPP
#define _ASDF_HPP

#include "first.hpp

#include "seconX"

...
Comment 2 Andreas Pakulat 2010-01-20 11:33:09 UTC
Do you have a self-built KDE on your system? I'm asking because its strange that you have debug symbols for some of the kdecore code, but not the template instantiation of QMap.

Also can you reproduce this repeating the steps that lead to it the first time?
Comment 3 Ludger Sprenker 2010-01-20 16:42:33 UTC
No, KDE is not self-build. I am using kubuntu beta packages from launchepad. Maybe I have only installed debug packages for kdelibs and not for Qt.

The bug was not directly reproduceable. But after a while I've just had another crash while editing include directives: 

Thread 1 (Thread 0xb7874ac0 (LWP 10843)):
[KCrash Handler]
#6  QBasicAtomicInt::ref (this=0xbfadc78c, other=...) at ../../include/QtCore/../../src/corelib/arch/qatomic_i386.h:120
#7  QByteArray::operator= (this=0xbfadc78c, other=...) at tools/qbytearray.cpp:865
#8  0x003c0822 in KEntryMap::setEntry(QByteArray const&, QByteArray const&, QByteArray const&, QFlags<KEntryMap::EntryOption>) () from /usr/lib/libkdecore.so.5
#9  0x003d0501 in KConfigIniBackend::parseConfig (this=0x14603308, currentLocale=..., entryMap=..., options=..., merging=false) at ../../kdecore/config/kconfigini.cpp:261
#10 0x003d19e6 in KConfigIniBackend::parseConfig (this=0x14603308, currentLocale=..., entryMap=..., options=...) at ../../kdecore/config/kconfigini.cpp:66
#11 0x003b92cc in KConfigPrivate::parseGlobalFiles (this=0x8e94fe0) at ../../kdecore/config/kconfig.cpp:484
#12 0x003ba484 in KConfig::reparseConfiguration (this=0x8eb1670) at ../../kdecore/config/kconfig.cpp:451
#13 0x002b2f6e in KDevelop::Project::projectConfiguration (this=0x8d92430) at /home/dvelop/src/kdevplatform/shell/project.cpp:480
#14 0x021d8cf6 in CMake::currentBuildDir (project=0x8d92430) at /home/dvelop/src/kdevelop/projectmanagers/cmake/cmakeutils.cpp:121
#15 0x05a58811 in CMakeManager::buildDirectory (this=0x8d820c8, item=0x8f0e970) at /home/dvelop/src/kdevelop/projectmanagers/cmake/cmakemanager.cpp:162
#16 0x02b6ed21 in IncludePathComputer::computeForeground (this=0x146e67a0) at /home/dvelop/src/kdevelop/languages/cpp/includepathcomputer.cpp:85
#17 0x02b66cef in CppLanguageSupport::findIncludePathsForJob (this=0x9bed140, job=0xa33155e8) at /home/dvelop/src/kdevelop/languages/cpp/cpplanguagesupport.cpp:393
#18 0x02b6bb19 in CppLanguageSupport::qt_metacall (this=0x9bed140, _c=QMetaObject::InvokeMetaMethod, _id=13, _a=0xa2f924d0) at /home/dvelop/src/kdevelop/build/languages/cpp/cpplanguagesupport.moc:142
#19 0x00b0911a in QMetaObject::metacall (object=0x9bed140, cl=149508088, idx=13, argv=0xa2f924d0) at kernel/qmetaobject.cpp:237
#20 0x00b13856 in QMetaCallEvent::placeMetaCall (this=0x9f1c5eb8, object=0x9bed140) at kernel/qobject.cpp:574
#21 0x00b148ae in QObject::event (this=0x9bed140, e=0x9f1c5eb8) at kernel/qobject.cpp:1260
#22 0x043b119c in QApplicationPrivate::notify_helper (this=0x8a20d18, receiver=0x9bed140, e=0x9f1c5eb8) at kernel/qapplication.cpp:4242
#23 0x043b7df7 in QApplication::notify (this=0xbfadd5a0, receiver=0x9bed140, e=0x9f1c5eb8) at kernel/qapplication.cpp:3661
#24 0x03d9267a in KApplication::notify (this=0xbfadd5a0, receiver=0x9bed140, event=0x9f1c5eb8) at ../../kdeui/kernel/kapplication.cpp:302
#25 0x00b03eab in QCoreApplication::notifyInternal (this=0xbfadd5a0, receiver=0x9bed140, event=0x9f1c5eb8) at kernel/qcoreapplication.cpp:704
#26 0x00b068e3 in QCoreApplication::sendEvent (receiver=0x0, event_type=0, data=0x89f86e0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#27 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x89f86e0) at kernel/qcoreapplication.cpp:1345
#28 0x00b06a4d in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1238
#29 0x0446f94f in QCoreApplication::sendPostedEvents (this=0x8a20cd8, flags=...) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#30 QEventDispatcherX11::processEvents (this=0x8a20cd8, flags=...) at kernel/qeventdispatcher_x11.cpp:75
#31 0x00b024c9 in QEventLoop::processEvents (this=0xbfadd4c4, flags=) at kernel/qeventloop.cpp:149
#32 0x00b0291a in QEventLoop::exec (this=0xbfadd4c4, flags=...) at kernel/qeventloop.cpp:201
#33 0x00b06b0f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981
#34 0x043b1237 in QApplication::exec () at kernel/qapplication.cpp:3570
#35 0x0804dd13 in main (argc=1, argv=0xbfaddaf4) at /home/dvelop/src/kdevelop/app/main.cpp:209
Comment 4 Andreas Pakulat 2010-01-20 17:53:48 UTC
Thanks, thats the same problem probably. Seems like something broke in KConfig.
Comment 5 Philipp Schmidt 2010-02-13 09:26:23 UTC
Created attachment 40735 [details]
New crash information added by DrKonqi

Error continues to exist in KDevelop 3.9.98.
Comment 6 Christoph Feck 2013-09-12 21:46:41 UTC
This crash report is at least 3 years old and there were no further comments or status updates since then.

Therefore we believe that this crash is already fixed in recent KDE 4 versions or the backtrace is no longer applicable to the current KDE 4 sources.

If the crash still happens with a recent KDE version (4.10.5 or 4.11), please add an updated backtrace or provide steps to reproduce. For more information, see http://techbase.kde.org/Development/Tutorials/Debugging/How_to_create_useful_crash_reports

(To prevent automatic closing of this bug in the future, please set the bug status to ASSIGNED or CONFIRMED)
Comment 7 Andrew Crouthamel 2018-09-25 03:53:33 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least 15 days. Please provide the requested information as soon as possible and set the bug status as REPORTED. Due to regular bug tracker maintenance, if the bug is still in NEEDSINFO status with no change in 30 days, the bug will be closed as RESOLVED > WORKSFORME due to lack of needed information.

For more information about our bug triaging procedures please read the wiki located here: https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please set the bug status as REPORTED so that the KDE team knows that the bug is ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 8 Andrew Crouthamel 2018-10-27 02:47:50 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least 30 days. The bug is now closed as RESOLVED > WORKSFORME due to lack of needed information.

For more information about our bug triaging procedures please read the wiki located here: https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

Thank you for helping us make KDE software even better for everyone!